<template>
	<div class="p-3">
		<div class="base_block p-3 mb-3">
			<form class="dash_ftr" @submit.prevent="Filter">
				<div class="d-flex align-items-center py-2 mr-4">
					<div class="dash_ftr_lbl mr-2">{{ $store.state.locale.city }}:</div>

					<div class="base_select_alt dash_ftr_inp">
						<select class="form-control select_tree" required @change="SelectTree" v-model="model.cityId">
							<option value="0" selected>{{ $store.state.locale.all }}</option>
							<option v-for="item in cityList" :value="item.id">{{ item.name }}</option>
						</select>

						<i class="mdi mdi-menu-down"></i>
					</div>
				</div>

				<div class="d-flex align-items-center py-2 mr-4">
					<div class="dash_ftr_lbl mr-2">{{ $store.state.locale.district }}:</div>

					<div class="base_select_alt dash_ftr_inp">
						<select class="form-control select_tree" required disabled @change="SelectTree" v-model="model.regionId">
							<option value="0" selected>{{ $store.state.locale.all }}</option>
							<option v-for="item in districtList" :value="item.id">{{ item.name }}</option>
						</select>

						<i class="mdi mdi-menu-down"></i>
					</div>
				</div>

				<div class="d-flex align-items-center py-2 mr-4">
					<div class="dash_ftr_lbl mr-2">{{ $store.state.locale.street }}:</div>

					<div class="base_select_alt dash_ftr_inp">
						<select class="form-control select_tree" required disabled @change="SelectTree" v-model="model.streetId">
							<option value="0" selected>{{ $store.state.locale.all }}</option>
							<option v-for="item in streetList" :value="item.id">{{ item.name }}</option>
						</select>

						<i class="mdi mdi-menu-down"></i>
					</div>
				</div>

				<div class="d-flex align-items-center py-2 mr-4">
					<div class="dash_ftr_lbl mr-2">{{ $store.state.locale.house }}:</div>

					<div class="base_select_alt dash_ftr_inp">
						<select class="form-control select_tree" required disabled @change="SelectTree" v-model="model.houseId">
							<option value="0" selected>{{ $store.state.locale.all }}</option>
							<option v-for="item in houseList" :value="item.id">{{ item.name }}</option>
						</select>

						<i class="mdi mdi-menu-down"></i>
					</div>
				</div>



				<button type="submit" class="btn call_save_btn dash_ftr_btn">{{ $store.state.locale.filter }}</button>
			</form>
		</div>

		<div class="base_block">
			<div class="cplt">
				<div class="cplt_cnt">

					<div class="cplt_table">
						<div class="cplt_table_hd">{{ $store.state.locale.inFromDuty }}</div>

						<div class="cplt_table_bd">
							<div class="table-responsive settings_content_tb">
								<table class="table table-striped table-hover">
									<thead>
									<tr>
										<th scope="col">#</th>
										<th scope="col">{{ $store.state.locale.name }}</th>
										<th scope="col">{{ $store.state.locale.date }}</th>
										<th scope="col">{{ $store.state.locale.category }}</th>
										<th scope="col">{{ $store.state.locale.priority }}</th>
										<th scope="col" style="width: 200px;">{{ $store.state.locale.status }}</th>
									</tr>
									</thead>

									<tbody>
									<tr v-for="item in ticketOldList">
										<td>{{ item.id }}</td>
										<td>
											<div class="cplt_table_name">
												<div class="txt">{{ item.applicantName ? item.applicantName : '---' }}</div>
												<i class="mdi mdi-paperclip"></i>
											</div>
										</td>
										<td>{{ item.dateTime | formatDateSecond }}</td>
										<td>
											{{ categoryList.find(x => x.id === item.categoryId) ? categoryList.find(x => x.id === item.categoryId).name : '---' }}
										</td>
										<td>
											{{ priorityList.find(x => x.id === item.priorityId) ? priorityList.find(x => x.id === item.priorityId).name : '---' }}
										</td>
										<td>
											{{
												statusList.find(x => parseInt(x.id) === item.status) ?
												statusList.find(x => parseInt(x.id) === item.status)['status' +
												$store.state.lang.charAt(0).toUpperCase() + $store.state.lang.slice(1)] : '---'
											}}
										</td>
									</tr>
									</tbody>
								</table>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>
	</div>
</template>

<style></style>

<script src="./script.js"></script>